﻿@model Project_Prn211_4.Models.Product
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>ProductDetails</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
        }

        .container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
        }

            .container a {
                margin-right: 10px;
                text-decoration: none;
                color: #007bff;
                padding: 8px;
                border-radius: 3px;
                background-color: #f2f2f2;
            }

                .container a:hover {
                    background-color: #e6e6e6;
                }

        dl.row {
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            gap: 20px;
            margin-top: 20px;
        }

        dt.col-sm-2 {
            width: 120px;
            font-weight: bold;
        }

        dd.col-sm-10 {
            flex: 1;
        }
        h2{
            display: flex;
            justify-content: center;
        }
    </style>
</head>
<body>
    <div class="container">
        <a asp-controller="Home" asp-action="Index">Back to List</a>
    </div>
    <h2>Product</h2>
    <div class="container">
        <dl class="row">
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.ProductName)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.ProductName)
            </dd>
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.Price)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Price)
            </dd>
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.Category)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Category.CategoryName)
            </dd>
        </dl>
        <a asp-controller="Home" asp-action="Feedback" asp-route-id="@Model.ProductId">View Feedback</a>
    </div>
    
</body>
</html>
